Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mysqlbulkloader
Class MySQLBulkLoaderData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.mysqlbulkloader.MySQLBulkLoaderData

All Implemented Interfaces:
  StepDataInterface

    public class MySQLBulkLoaderData

extends BaseStepData
implements StepDataInterface

Stores data for the MySQL bulk load step.

Since:
  14-apr-2009
Author:
  Matt

Field Summary
`org.pentaho.di.core.row.ValueMetaInterface` | `bulkDateMeta`
`org.pentaho.di.core.row.ValueMetaInterface[]` | `bulkFormatMeta`
`org.pentaho.di.core.row.ValueMetaInterface` | `bulkNumberMeta`
`long` | `bulkSize`
`org.pentaho.di.core.row.ValueMetaInterface` | `bulkTimestampMeta`
`org.pentaho.di.core.database.Database` | `db`
`org.pentaho.di.core.util.StreamLogger` | `errorLogger`
`String` | `fifoFilename`
`OutputStream` | `fifoStream`
`int[]` | `keynrs`
`byte[]` | `newline`
`org.pentaho.di.core.util.StreamLogger` | `outputLogger`
`byte[]` | `quote`
`String` | `schemaTable`
`byte[]` | `separator`
`org.pentaho.di.trans.steps.mysqlbulkloader.MySQLBulkLoader.SqlRunner` | `sqlRunner`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`MySQLBulkLoaderData()` Default constructor.

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### db

    public org.pentaho.di.core.database.Database db

### keynrs

    public int[] keynrs

### errorLogger

    public org.pentaho.di.core.util.StreamLogger errorLogger

### outputLogger

    public org.pentaho.di.core.util.StreamLogger outputLogger

### quote

    public byte[] quote

### separator

    public byte[] separator

### newline

    public byte[] newline

### bulkTimestampMeta

    public org.pentaho.di.core.row.ValueMetaInterface bulkTimestampMeta

### bulkDateMeta

    public org.pentaho.di.core.row.ValueMetaInterface bulkDateMeta

### bulkNumberMeta

    public org.pentaho.di.core.row.ValueMetaInterface bulkNumberMeta

### schemaTable

    public String schemaTable

### fifoFilename

    public String fifoFilename

### fifoStream

    public OutputStream fifoStream

### sqlRunner

    public org.pentaho.di.trans.steps.mysqlbulkloader.MySQLBulkLoader.SqlRunner sqlRunner

### bulkFormatMeta

    public org.pentaho.di.core.row.ValueMetaInterface[] bulkFormatMeta

### bulkSize

    public long bulkSize

Constructor Detail

### MySQLBulkLoaderData

    public MySQLBulkLoaderData()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD